ar71xx: enable sysupgrade for the OpenMesh OM5P-AN
authorJohn Crispin <john@openwrt.org>
Tue, 17 Mar 2015 09:43:37 +0000 (09:43 +0000)
committerJohn Crispin <john@openwrt.org>
Tue, 17 Mar 2015 09:43:37 +0000 (09:43 +0000)
Signed-off-by: Sven Eckelmann <sven@open-mesh.com>
SVN-Revision: 44863

target/linux/ar71xx/base-files/lib/upgrade/openmesh.sh
target/linux/ar71xx/base-files/lib/upgrade/platform.sh

index a897dca..547116e 100644 (file)
@@ -68,6 +68,7 @@ platform_check_image_openmesh()
                        ;;
                OM5P)
                        [ "$board" = "om5p" ] && break
+                       [ "$board" = "om5p-an" ] && break
                        echo "Invalid image board target ($img_board_target) for this platform: $board. Use the correct image for this platform"
                        return 1
                        ;;
index 4353efd..0cbee1d 100755 (executable)
@@ -288,7 +288,8 @@ platform_check_image() {
        om2p-hs | \
        om2p-hsv2 | \
        om2p-lc | \
-       om5p)
+       om5p | \
+       om5p-an)
                platform_check_image_openmesh "$magic_long" "$1" && return 0
                return 1
                ;;
@@ -488,7 +489,8 @@ platform_do_upgrade() {
        om2p-hs | \
        om2p-hsv2 | \
        om2p-lc | \
-       om5p)
+       om5p | \
+       om5p-an)
                platform_do_upgrade_openmesh "$ARGV"
                ;;
        unifi-outdoor-plus | \